Page MenuHomePhabricator

Parsoid + Kartographer roll-out plan
Open, MediumPublic

Description

Background Information

The work for parsoid support in Kartographer is close to the end and this is a proposed roll-out plan based on some existing limitations that will still allow this work to be deployed without blockers

How

The idea is to start with english wikis first, since we still have some open question on how to proceed with l10n. For the choice of the wiki project we should avoid Wikivoyage as a first step since there is Wikivoyage specific code that we want to prevent breakage and unexpected surprises.

Phase 0 - Beta cluster

  • Roll-out Kartographer to the beta cluster

Phase 1 - English wikis

  • First roll-out to enwiki since it's a wiki big enough matching the criteria that poses low risk for a Kartographer + Parsoid deployment
  • Proceed with enwikivoyage when we are confident about the outcome of the first roll-out
  • Proceed with the other sister projects for english language

Phase 2 - Single-variant languages

Once we have localization support, we can roll out to other languages than English. Since language variants may trigger additional issues, we keep this step limited to wikis that do not have language variants. We can do more than one wiki per step but keep the strategy of leaving Wikivoyage for after Wikipedias are migrated:

  • Roll-out all Wikipedias with single variant languages
  • Roll-out all Wikivoyage wiki with single variant languages
  • Roll-out every other group with single variant languages

Phase 3 - Multi-variant languages

Once we are ready to move forward languages, we can do more than one wiki per step but keep the strategy of leaving Wikivoyage for after Wikipedias are migrated:

  • Roll-out all Wikipedias
  • Roll-out all Wikivoyage wiki
  • Roll-out every other group, except for multi-language wikis

Phase 4 - Multi-language wikis

  • Roll-out all multi-language wikis (Commons, Meta, etc.)

Additionally we could think about wikis that aren't wikivoyage in group 0 and 1 to go first, but that wouldn't give us enough data about the roll-out success.

Event Timeline

Change 956792 had a related patch set uploaded (by Isabelle Hurbain-Palatin; author: Isabelle Hurbain-Palatin):

[operations/mediawiki-config@master] Enable Parsoid support for Kartographer on enwiki

https://gerrit.wikimedia.org/r/956792

Change 956792 merged by jenkins-bot:

[operations/mediawiki-config@master] Enable Parsoid support for Kartographer on enwiki

https://gerrit.wikimedia.org/r/956792

Mentioned in SAL (#wikimedia-operations) [2023-09-12T13:05:03Z] <taavi@deploy1002> Started scap: Backport for [[gerrit:956792|Enable Parsoid support for Kartographer on enwiki (T342871)]]

Mentioned in SAL (#wikimedia-operations) [2023-09-12T13:06:34Z] <taavi@deploy1002> ihurbain and taavi: Backport for [[gerrit:956792|Enable Parsoid support for Kartographer on enwiki (T342871)]] synced to the testservers mwdebug2001.codfw.wmnet, mwdebug1002.eqiad.wmnet, mwdebug1001.eqiad.wmnet, mwdebug2002.codfw.wmnet, and mw-debug kubernetes deployment (accessible via k8s-experimental XWD option)

Mentioned in SAL (#wikimedia-operations) [2023-09-12T13:31:08Z] <taavi@deploy1002> Finished scap: Backport for [[gerrit:956792|Enable Parsoid support for Kartographer on enwiki (T342871)]] (duration: 26m 05s)

MSantos triaged this task as Medium priority.Sep 18 2023, 9:41 AM
MSantos updated the task description. (Show Details)
MSantos moved this task from Backlog to Current Epics on the Content-Transform-Team-WIP board.

Change 960552 had a related patch set uploaded (by Isabelle Hurbain-Palatin; author: Isabelle Hurbain-Palatin):

[operations/mediawiki-config@master] Enable Parsoid support for Kartographer on enwikivoyage

https://gerrit.wikimedia.org/r/960552

Change 960552 merged by jenkins-bot:

[operations/mediawiki-config@master] Enable Parsoid support for Kartographer on enwikivoyage

https://gerrit.wikimedia.org/r/960552

Mentioned in SAL (#wikimedia-operations) [2023-09-25T13:26:03Z] <urbanecm@deploy2002> Started scap: Backport for [[gerrit:959987|listTaskCounts: Do not expect tasks key to be present (T347120)]], [[gerrit:959993|AddImageFeedbackHandler: Add missing parameters (T346277)]], [[gerrit:960552|Enable Parsoid support for Kartographer on enwikivoyage (T342871)]]

Mentioned in SAL (#wikimedia-operations) [2023-09-25T13:38:33Z] <urbanecm@deploy2002> urbanecm and ihurbain: Backport for [[gerrit:959987|listTaskCounts: Do not expect tasks key to be present (T347120)]], [[gerrit:959993|AddImageFeedbackHandler: Add missing parameters (T346277)]], [[gerrit:960552|Enable Parsoid support for Kartographer on enwikivoyage (T342871)]] synced to the testservers mwdebug1001.eqiad.wmnet, mwdebug2001.codfw.wmnet, mwdebug2002.codfw.wmnet, mwdebug1002.eqiad.w

Mentioned in SAL (#wikimedia-operations) [2023-09-25T14:04:38Z] <urbanecm@deploy2002> Finished scap: Backport for [[gerrit:959987|listTaskCounts: Do not expect tasks key to be present (T347120)]], [[gerrit:959993|AddImageFeedbackHandler: Add missing parameters (T346277)]], [[gerrit:960552|Enable Parsoid support for Kartographer on enwikivoyage (T342871)]] (duration: 38m 35s)

Change 969168 had a related patch set uploaded (by Isabelle Hurbain-Palatin; author: Isabelle Hurbain-Palatin):

[operations/mediawiki-config@master] Roll-out Parsoid Kartographer support for all English language wikis

https://gerrit.wikimedia.org/r/969168

Change 969168 merged by jenkins-bot:

[operations/mediawiki-config@master] Roll-out Parsoid Kartographer support for all English language wikis

https://gerrit.wikimedia.org/r/969168

Mentioned in SAL (#wikimedia-operations) [2023-10-31T13:16:57Z] <samtar@deploy2002> Started scap: Backport for [[gerrit:969168|Roll-out Parsoid Kartographer support for all English language wikis (T342871)]]

Mentioned in SAL (#wikimedia-operations) [2023-10-31T13:18:19Z] <samtar@deploy2002> ihurbain and samtar: Backport for [[gerrit:969168|Roll-out Parsoid Kartographer support for all English language wikis (T342871)]] synced to the testservers (https://wikitech.wikimedia.org/wiki/Mwdebug)

Mentioned in SAL (#wikimedia-operations) [2023-10-31T13:27:47Z] <samtar@deploy2002> Finished scap: Backport for [[gerrit:969168|Roll-out Parsoid Kartographer support for all English language wikis (T342871)]] (duration: 10m 49s)

Change #1017268 had a related patch set uploaded (by Isabelle Hurbain-Palatin; author: Isabelle Hurbain-Palatin):

[operations/mediawiki-config@master] Add Kartographer Parsoid support to hewikivoyage

https://gerrit.wikimedia.org/r/1017268

Change #1017268 merged by jenkins-bot:

[operations/mediawiki-config@master] Add Kartographer Parsoid support to hewikivoyage

https://gerrit.wikimedia.org/r/1017268

Mentioned in SAL (#wikimedia-operations) [2024-04-08T07:12:29Z] <kartik@deploy1002> Started scap: Backport for [[gerrit:1017268|Add Kartographer Parsoid support to hewikivoyage (T342871 T361025)]]

Mentioned in SAL (#wikimedia-operations) [2024-04-08T07:25:26Z] <kartik@deploy1002> kartik and ihurbain: Backport for [[gerrit:1017268|Add Kartographer Parsoid support to hewikivoyage (T342871 T361025)]] synced to the testservers (https://wikitech.wikimedia.org/wiki/Mwdebug)

Mentioned in SAL (#wikimedia-operations) [2024-04-08T07:48:12Z] <kartik@deploy1002> Finished scap: Backport for [[gerrit:1017268|Add Kartographer Parsoid support to hewikivoyage (T342871 T361025)]] (duration: 35m 43s)